(defun c:CopyXdata (/ e vl sset)
  ;; Tharwat 20. 06. 2011
  ;; Copy Xdata from entity to selection set of objects
  (vl-load-com)
  (if (and
        (setq e (car (entsel "\n Select Object that has Xdata : ")))
        (not (vla-getXData
               (setq vl (vlax-ename->vla-object e))
               ""
               'Xtype
               'Xvalue
             )
        )
        (eval Xtype)
        (eval Xvalue)
      )
    (progn
      (if (ssget "_:L")
        (progn
          (vlax-for vl (setq sset (vla-get-ActiveSelectionSet
                                    (vla-get-ActiveDocument
                                      (vlax-get-acad-object)
                                    )
                                  )
                       )
            (vla-SetXdata vl Xtype Xvalue)
          )
          (vla-delete sset)
        )
        (princ)
      )
    )
    (princ)
  )
  (princ)
)